Apache Tomcat 6.0.32

## org.apache.el.parser
Class AstValue

    java.lang.Object
      org.apache.el.lang.ELSupport
          org.apache.el.parser.SimpleNode
              org.apache.el.parser.AstValue

All Implemented Interfaces:
  Node

    public final class AstValue

extends SimpleNode

Version:
  $Id: AstValue.java 939519 2010-04-30 00:12:23Z kkolinko $
Author:
  Jacob Hookom [jacob@hookom.net]

Nested Class Summary
`protected static class` `AstValue.Target`

Field Summary
`protected static boolean` `COERCE_TO_ZERO`

Fields inherited from class org.apache.el.parser.SimpleNode
`children, id, image, parent`

Constructor Summary
`AstValue(int id)`

Method Summary
`javax.el.MethodInfo` `getMethodInfo(EvaluationContext ctx, java.lang.Class[] paramTypes)`
`java.lang.Class` `getType(EvaluationContext ctx)`
`java.lang.Object` `getValue(EvaluationContext ctx)`
`java.lang.Object` `invoke(EvaluationContext ctx, java.lang.Class[] paramTypes, java.lang.Object[] paramValues)`
`boolean` `isReadOnly(EvaluationContext ctx)`
`void` `setValue(EvaluationContext ctx, java.lang.Object value)`

Methods inherited from class org.apache.el.parser.SimpleNode
`accept, dump, equals, getImage, hashCode, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setImage, toString, toString`

Methods inherited from class org.apache.el.lang.ELSupport
`checkType, coerceToBoolean, coerceToCharacter, coerceToEnum, coerceToNumber, coerceToNumber, coerceToNumber, coerceToNumber, coerceToString, coerceToType, compare, containsNulls, equals, isBigDecimalOp, isBigIntegerOp, isDoubleOp, isDoubleStringOp, isLongOp, isStringFloat, throwUnhandled, toFloat, toNumber`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### COERCE_TO_ZERO

    protected static final boolean COERCE_TO_ZERO

Constructor Detail

### AstValue

    public AstValue(int id)

Method Detail

### getType

    public java.lang.Class getType(EvaluationContext ctx)
                            throws javax.el.ELException

  Specified by:
    `getType` in interface `Node`
  Overrides:
    `getType` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

### getValue

    public java.lang.Object getValue(EvaluationContext ctx)
                              throws javax.el.ELException

  Specified by:
    `getValue` in interface `Node`
  Overrides:
    `getValue` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

### isReadOnly

    public boolean isReadOnly(EvaluationContext ctx)
                       throws javax.el.ELException

  Specified by:
    `isReadOnly` in interface `Node`
  Overrides:
    `isReadOnly` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

### setValue

    public void setValue(EvaluationContext ctx,
                         java.lang.Object value)
                  throws javax.el.ELException

  Specified by:
    `setValue` in interface `Node`
  Overrides:
    `setValue` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

### getMethodInfo

    public javax.el.MethodInfo getMethodInfo(EvaluationContext ctx,
                                             java.lang.Class[] paramTypes)
                                      throws javax.el.ELException

  Specified by:
    `getMethodInfo` in interface `Node`
  Overrides:
    `getMethodInfo` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

### invoke

    public java.lang.Object invoke(EvaluationContext ctx,
                                   java.lang.Class[] paramTypes,
                                   java.lang.Object[] paramValues)
                            throws javax.el.ELException

  Specified by:
    `invoke` in interface `Node`
  Overrides:
    `invoke` in class `SimpleNode`
  Throws:
    `javax.el.ELException`

Apache Tomcat 6.0.32

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.